POST https://api.tokenhot.ai/v1/chat/completionsmimo-v2.5-ttsrole: assistant message; the role: user message is an optional style/tone instruction.(唱歌) tag at the beginning of the assistant message text).wav) and streaming (pcm16, 24kHz PCM16LE mono) output formats.mimo-v2.5-tts-voicedesign or mimo-v2.5-tts-voiceclone for those features.| Voice ID | Language | Gender |
|---|---|---|
| mimo_default | Varies by cluster (China cluster defaults to 冰糖, others default to Mia) | — |
| 冰糖 | Chinese | Female |
| 茉莉 | Chinese | Female |
| 苏打 | Chinese | Male |
| 白桦 | Chinese | Male |
| Mia | English | Female |
| Chloe | English | Female |
| Milo | English | Male |
| Dean | English | Male |
curl --location 'https://api.tokenhot.ai/v1/chat/completions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "mimo-v2.5-tts",
"messages": [
{
"role": "user",
"content": "用温柔的语气说一段晚安问候"
},
{
"role": "assistant",
"content": "晚安,今天辛苦了,好好休息,明天又是美好的一天。"
}
],
"audio": {
"format": "wav",
"voice": "冰糖"
}
}'{
"id": "chatcmpl-abc123def456",
"object": "chat.completion",
"created": 1774324467,
"model": "mimo-v2.5-tts",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"audio": {
"id": "3864a4690d8a4aaea5f6acf4853a0600",
"data": "UklGR...(Base64-encoded audio data)",
"expires_at": null,
"transcript": null
}
},
"finish_reason": "stop"
}
]
}